Skip to main content
PATCH
/
embedded-banking
/
v1
/
bank-accounts
/
{id}
Update a bank account.
curl --request PATCH \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bankAccountReference": {
    "hasValue": true,
    "value": "<string>"
  },
  "nickname": {
    "hasValue": true,
    "value": "<string>"
  },
  "status": {
    "hasValue": true,
    "value": "ACTIVE"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountNumber": "<string>",
  "createdDateTime": "2023-11-07T05:31:56Z",
  "routingNumber": "<string>",
  "status": "ACTIVE",
  "bankAccountReference": "<string>",
  "nickname": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Path Parameters

id
string<uuid>
required

The bank account ID.

Body

Request model for updating a bank account.

bankAccountReference
object

The reference identifier associated with the bank account. Must be alphanumeric (letters, numbers, hyphens, underscores, and dots) and max 50 characters. Set to null to clear.

nickname
object

The new nickname for the bank account.

status
object

The new status for the bank account. Set to CLOSED to close the account.

Response

Bank account updated successfully.

Response model for a bank account.

id
string<uuid>
required

Unique identifier for the bank account.

accountNumber
string
required

Masked account number.

createdDateTime
string<date-time>
required

The UTC timestamp when the bank account was created.

routingNumber
string
required

Bank routing number.

status
enum<string>
required

The status of the bank account.

Available options:
ACTIVE,
CLOSED
bankAccountReference
null | string

Reference identifier associated with the bank account.

nickname
null | string

Nickname for the bank account.